org.wildfly.swarm.config

## Class RequestController<T extends RequestController<T>>

- java.lang.Object
- - org.wildfly.swarm.config.RequestController<T>

- Direct Known Subclasses:
    RequestControllerFraction

      public class RequestController<T extends RequestController<T>>
      extends Object

  The request controller subsystem. Used for request limiting and graceful shutdown

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `activeRequests()` The number of requests that are currently running in the server
    `T` | `activeRequests(Integer value)` The number of requests that are currently running in the server
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Integer` | `maxRequests()` The maximum number of all types of requests that can be running in a server at a time.
    `T` | `maxRequests(Integer value)` The maximum number of all types of requests that can be running in a server at a time.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `trackIndividualEndpoints()` If this is true requests are tracked at an endpoint level, which will allow individual deployments to be suspended
    `T` | `trackIndividualEndpoints(Boolean value)` If this is true requests are tracked at an endpoint level, which will allow individual deployments to be suspended

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestController

          public RequestController()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### activeRequests

          public Integer activeRequests()

      The number of requests that are currently running in the server

    - #### activeRequests

          public T activeRequests(Integer value)

      The number of requests that are currently running in the server

    - #### maxRequests

          public Integer maxRequests()

      The maximum number of all types of requests that can be running in a server at a time. Once this limit is hit any new requests will be rejected.

    - #### maxRequests

          public T maxRequests(Integer value)

      The maximum number of all types of requests that can be running in a server at a time. Once this limit is hit any new requests will be rejected.

    - #### trackIndividualEndpoints

          public Boolean trackIndividualEndpoints()

      If this is true requests are tracked at an endpoint level, which will allow individual deployments to be suspended

    - #### trackIndividualEndpoints

          public T trackIndividualEndpoints(Boolean value)

      If this is true requests are tracked at an endpoint level, which will allow individual deployments to be suspended

Copyright © 2018 JBoss by Red Hat. All rights reserved.